From 68a1e725873c9693dc4e6aec62f8fd4cfaf06459 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Thu, 15 Jan 2015 16:32:01 -0500
Subject: books/bookvol10 add SimpleCell to the algebra regression tests

The algebra regression tests are run with
   make TESTSET=algebratests
The tests are extracted from the algebra book volumes
rather than the src/input regression test suite.
---
 books/bookvol10.pamphlet       |    2 +-
 changelog                      |    2 ++
 patch                          |    8 +++++---
 src/axiom-website/patches.html |    2 ++
 4 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/books/bookvol10.pamphlet b/books/bookvol10.pamphlet
index a10e610..1d87e17 100644
--- a/books/bookvol10.pamphlet
+++ b/books/bookvol10.pamphlet
@@ -18950,7 +18950,7 @@ REGRESS= \
  ShallowlyMutableAttribute.regress \
  SimpleAlgebraicExtension.regress \
  SimpleAlgebraicExtensionAlgFactor.regress \
- SimpleCell.regess \
+ SimpleCell.regress \
  SimpleFortranProgram.regress \
  SingleInteger.regress \
  SingletonAsOrderedSet.regress \
diff --git a/changelog b/changelog
index ea813eb..2d3631f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150115 tpd src/axiom-website/patches.html 20150115.02.tpd.patch
+20151015 tpd books/bookvol10 add SimpleCell to the algebra regression tests
 20150115 tpd src/axiom-website/patches.html 20150115.01.tpd.patch
 20150115 tpd src/input/Makefile add intlinear4.input
 20150115 tpd src/input/intlinear4.input added to the unit test suite
diff --git a/patch b/patch
index b6fbd2f..2756df7 100644
--- a/patch
+++ b/patch
@@ -1,4 +1,6 @@
-src/input/intlinear4.input added to the unit test suite
+books/bookvol10 add SimpleCell to the algebra regression tests
 
-This is part of cooperative work with Albert Rich on a 
-decision tree form of the Rich pattern matching integrator.
+The algebra regression tests are run with
+   make TESTSET=algebratests
+The tests are extracted from the algebra book volumes
+rather than the src/input regression test suite.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d7f3de1..b6db833 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4954,6 +4954,8 @@ books/bookvolbib add Stou07 reference<br/>
 books/bookvol3 remove |function| and regularize Spad code
 <a href="patches/20150115.01.tpd.patch">20150115.01.tpd.patch</a>
 src/input/intlinear4.input added to the unit test suite<br/>
+<a href="patches/20150115.02.tpd.patch">20150115.02.tpd.patch</a>
+books/bookvol10 add SimpleCell to the algebra regression tests
  </body>
 </html>
 
-- 
1.7.5.4

